Votre Nom 2 years ago
parent
commit
394815193a
1 changed files with 20 additions and 6 deletions
  1. 20 6
      options/chia.sh

+ 20 - 6
options/chia.sh

@@ -1,6 +1,6 @@
 #!/bin/bash
 set -e
-Gui=Yes
+Gui=Yes #can be Yes No or Only
 Version=2.3
 
 function print_centered {
@@ -45,21 +45,34 @@ print_centered "Toolkit for Chia v$Version"
 if [ $Gui = "Yes" ]
 then
 echo -n "$(tput setaf 3)"
-print_centered "Chia Gui Enabled"
+print_centered "Chia Gui + mining Enabled"
 echo -n "$(tput setaf 7)"
 fi
+if [ $Gui = "Only" ]
+then
+echo -n "$(tput setaf 3)"
+print_centered "Chia blockchain Gui Only"
+echo -n "$(tput setaf 7)"
+fi
+if [ $Gui = "No" ]
+then
+echo -n "$(tput setaf 3)"
+print_centered "Chia Mining Enabled"
+echo -n "$(tput setaf 7)"
+fi
+
 sleep 3
 echo -e "$(tput setaf 2)\nUpdate and install packages:$(tput sgr0)"
 sudo apt-get install python3-venv python3-distutils python3-dev libsodium-dev -y
 echo -e "\e[97mDone.\e[0m"
 
-jumpto END
 
+if ! [ $Gui = "Only" ]
+then
 echo -e "$(tput setaf 2)\nDownload pack:$(tput sgr0)"
 wget -c -q --show-progress http://folivier.homelinux.org/cube/pack/chia-miner.tar.xz
 mv chia-miner.tar.xz /home/wareck/Build_Cube/pack/chia-miner.tar.xz
 
-
 echo -e "$(tput setaf 2)\nBuild Chia-Miner:$(tput sgr0)"
 cp ../pack/chia-miner.tar.xz /home/wareck/
 cd /home/wareck
@@ -135,9 +148,10 @@ cd build
 cmake ..
 make -j4
 echo -e "\e[97mDone.\e[0m"
+fi
 
-END:
-if [ $Gui = "Yes" ]
+
+if [ $Gui = "Yes" ] || [ $Gui = "Only" ]
 then
 echo -e "$(tput setaf 2)\nBuild Chia-Gui :$(tput sgr0)"
 cd /home/wareck